/*
 * $Id: VKCAddAttribute.java,v 1.4 2004/07/20 08:15:53 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCAddAttribute.java,v $
 * Revision 1.4  2004/07/20 08:15:53  jonyp
 * added copyright info + cvs log
 *
 * Revision 1.3  2004/03/02 17:45:23  bigmac
 * +clone()
 *
 * Revision 1.2  2003/09/01 19:01:23  jonyp
 * defaultvalues
 *
 * Revision 1.1  2003/08/30 11:40:03  jonyp
 * initial version
 *
 * Revision 1.2  2003/08/28 15:06:10  jonyp
 * *** empty log message ***
 *
 * Revision 1.1  2003/08/27 13:09:23  jonyp
 * initial version
 *
 */

package vkc.db.entities;
import java.io.Serializable;
/**
 * Klasse kapselt Schlüssel und Wert eines zusätzlichen Attributes einer Categorie/Dokumentes/Gruppe/User
 *
 * @author jonyP
 * @version 1.0
 */
public class VKCAddAttribute implements Serializable, Cloneable {

    private Integer attrId;
    private String name;
    private String description;
	private Integer allowNull;
	private String defaultValue;
	private String valuestring;

    public VKCAddAttribute() {
    }

    public Integer getAttrId() {
        return attrId;
    }
    public void setAttrId(Integer attrId) {
        this.attrId = attrId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

    public Integer getAllowNull() {
        return allowNull;
    }

    public void setAllowNull(Integer allowNull) {
        this.allowNull = allowNull;
    }

	public void setValuestring(String valuestring) {
		   this.valuestring = valuestring;
    }

    public String getValuestring() {
	   return valuestring;
	}
	
	public void setDefaultValue(String defaultValue) {
	   this.defaultValue = defaultValue;
	}

	public String getDefaultValue() {
	   return defaultValue;
	}
	
	public Object clone() {
		
		VKCAddAttribute attr = new VKCAddAttribute();
		attr.setAttrId( getAttrId() );
		attr.setAllowNull( getAllowNull() );
		attr.setDefaultValue( getDefaultValue() );
		attr.setDescription( getDescription() );
		attr.setName( getName() );
		attr.setValuestring( getValuestring() );
		
		return attr;		
	}

}